zenilib: zenilib/jni/external/freetype2/src/gzip/infblock.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions | Variables
infblock.c File Reference
`#include "zutil.h"`
`#include "infblock.h"`
`#include "inftrees.h"`
`#include "infcodes.h"`
`#include "infutil.h"`

Go to the source code of this file.

## Macros

#define | bits word.what.Bits
#define | exop word.what.Exop

## Functions

local int | inflate_blocks (inflate_blocks_statef *s, z_streamp z, int r)
local int | inflate_blocks_free (inflate_blocks_statef *s, z_streamp z)
local inflate_blocks_statef * | inflate_blocks_new (z_streamp z, check_func c, uInt w)
local void | inflate_blocks_reset (inflate_blocks_statef *s, z_streamp z, uLongf *c)

## Variables

local const uInt | border []

## Macro Definition Documentation

typedef GLenum GLint GLint GLsizei GLenum GLsizei const GLvoid * bits word.what.Bits

Definition at line 15 of file infblock.c.

Referenced by decode_detailed_timing(), decode_display_parameters(), deflatePrime(), fixedtables(), gen_bitlen(), gen_codes(), Horizontal_Sweep_Drop(), Horizontal_Sweep_Span(), inflate(), inflate_fast(), inflate_table(), inflateBack(), inflatePrime(), oggpack_look(), oggpack_read(), oggpack_write(), oggpack_writetrunc(), oggpackB_look(), oggpackB_read(), oggpackB_write(), oggpackB_writetrunc(), ReadBinAsDouble(), ReadWaveFormat(), SDL_GL_GetAttribute(), SDL_LoadBMP_RW(), SDL_SaveBMP_RW(), and tr_static_init().

#define exop word.what.Exop

Definition at line 14 of file infblock.c.

## Function Documentation

local int inflate_blocks | ( | inflate_blocks_statef * | s,
|  | z_streamp | z,
|  | int | r
| ) |  |

Definition at line 119 of file infblock.c.

References BAD, BTREE, CODES, DONE, DRY, DTREE, DUMPBITS, FLUSH, i, inflate_codes(), inflate_codes_free(), inflate_codes_new(), inflate_flush(), inflate_mask, inflate_trees_bits(), inflate_trees_dynamic(), inflate_trees_fixed(), j, k, LEAVE, LENS, LOAD, m, NEEDBITS, NEEDOUT, STORED, TABLE, Tracev, TYPE, UPDATE, Z_DATA_ERROR, Z_MEM_ERROR, Z_NULL, Z_OK, Z_STREAM_END, Z_STREAM_ERROR, ZALLOC, ZFREE, and zmemcpy().

local int inflate_blocks_free | ( | inflate_blocks_statef * | s,
|  | z_streamp | z
| ) |  |

Definition at line 375 of file infblock.c.

References inflate_blocks_reset(), Tracev, Z_NULL, Z_OK, and ZFREE.

local inflate_blocks_statef* inflate_blocks_new | ( | z_streamp | z,
|  | check_func | c,
|  | uInt | w
| ) |  |

Definition at line 88 of file infblock.c.

References inflate_blocks_reset(), MANY, Tracev, TYPE, Z_NULL, ZALLOC, and ZFREE.

local void inflate_blocks_reset | ( | inflate_blocks_statef * | s,
|  | z_streamp | z,
|  | uLongf * | c
| ) |  |

Definition at line 67 of file infblock.c.

References BTREE, CODES, DTREE, inflate_codes_free(), Tracev, TYPE, Z_NULL, and ZFREE.

Referenced by inflate_blocks_free(), inflate_blocks_new(), and ZEXPORT().

## Variable Documentation

local const uInt border[]

Initial value:
= {
16, 17, 18, 0, 8, 7, 9, 6, 10, 5, 11, 4, 12, 3, 13, 2, 14, 1, 15}

Definition at line 18 of file infblock.c.